<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BloodNotfr Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d3f/class_blood_notfr.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BloodNotfr Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BloodNotfr:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d3f/class_blood_notfr.png" usemap="#BloodNotfr_map" alt=""/>
  <map id="BloodNotfr_map" name="BloodNotfr_map">
<area href="../../d9/d1b/class_notifier_base.html" alt="NotifierBase" shape="rect" coords="0,0,81,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:abb0860fe986ef52acd055451735dc37b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#abb0860fe986ef52acd055451735dc37b">BloodNotfr</a> (<a class="el" href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a> manager)</td></tr>
<tr class="separator:abb0860fe986ef52acd055451735dc37b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e64d6e3f7af46fe828ba157f7571f2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#ad7e64d6e3f7af46fe828ba157f7571f2">GetNotifierType</a> ()</td></tr>
<tr class="separator:ad7e64d6e3f7af46fe828ba157f7571f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46c82124386bb42f5b44e09507b2914f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#a46c82124386bb42f5b44e09507b2914f">DisplayTendency</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta)</td></tr>
<tr class="separator:a46c82124386bb42f5b44e09507b2914f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6b80315872f5f76d353fc7ff35fe214"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#ac6b80315872f5f76d353fc7ff35fe214">GetObservedValue</a> ()</td></tr>
<tr class="separator:ac6b80315872f5f76d353fc7ff35fe214"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:add9849686a7bd54599925529951f389f"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#add9849686a7bd54599925529951f389f">DEC_TRESHOLD_LOW</a> = 0</td></tr>
<tr class="separator:add9849686a7bd54599925529951f389f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fb7407b0b63352c09309854073d68c"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#ad5fb7407b0b63352c09309854073d68c">DEC_TRESHOLD_MED</a> = -12</td></tr>
<tr class="separator:ad5fb7407b0b63352c09309854073d68c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af26ca8d022050dce836042de9decfb0e"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#af26ca8d022050dce836042de9decfb0e">DEC_TRESHOLD_HIGH</a> = -22</td></tr>
<tr class="separator:af26ca8d022050dce836042de9decfb0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a11b200cd947702f56246ea10ae174e"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#a8a11b200cd947702f56246ea10ae174e">INC_TRESHOLD_LOW</a> = 0</td></tr>
<tr class="separator:a8a11b200cd947702f56246ea10ae174e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4500083056be96e972c0199f41944a5e"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#a4500083056be96e972c0199f41944a5e">INC_TRESHOLD_MED</a> = 3</td></tr>
<tr class="separator:a4500083056be96e972c0199f41944a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a59a6f6df9832e74753cd2b30f3d4bf"><td class="memItemLeft" align="right" valign="top">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d3f/class_blood_notfr.html#a9a59a6f6df9832e74753cd2b30f3d4bf">INC_TRESHOLD_HIGH</a> = 6</td></tr>
<tr class="separator:a9a59a6f6df9832e74753cd2b30f3d4bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abb0860fe986ef52acd055451735dc37b" name="abb0860fe986ef52acd055451735dc37b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb0860fe986ef52acd055451735dc37b">&#9670;&#160;</a></span>BloodNotfr()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BloodNotfr::BloodNotfr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a>&#160;</td>
          <td class="paramname"><em>manager</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00010">10</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a46c82124386bb42f5b44e09507b2914f" name="a46c82124386bb42f5b44e09507b2914f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46c82124386bb42f5b44e09507b2914f">&#9670;&#160;</a></span>DisplayTendency()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BloodNotfr::DisplayTendency </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="ad7e64d6e3f7af46fe828ba157f7571f2" name="ad7e64d6e3f7af46fe828ba157f7571f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7e64d6e3f7af46fe828ba157f7571f2">&#9670;&#160;</a></span>GetNotifierType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> BloodNotfr::GetNotifierType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="ac6b80315872f5f76d353fc7ff35fe214" name="ac6b80315872f5f76d353fc7ff35fe214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6b80315872f5f76d353fc7ff35fe214">&#9670;&#160;</a></span>GetObservedValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::GetObservedValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00037">37</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af26ca8d022050dce836042de9decfb0e" name="af26ca8d022050dce836042de9decfb0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af26ca8d022050dce836042de9decfb0e">&#9670;&#160;</a></span>DEC_TRESHOLD_HIGH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::DEC_TRESHOLD_HIGH = -22</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00005">5</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="add9849686a7bd54599925529951f389f" name="add9849686a7bd54599925529951f389f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9849686a7bd54599925529951f389f">&#9670;&#160;</a></span>DEC_TRESHOLD_LOW</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::DEC_TRESHOLD_LOW = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="ad5fb7407b0b63352c09309854073d68c" name="ad5fb7407b0b63352c09309854073d68c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fb7407b0b63352c09309854073d68c">&#9670;&#160;</a></span>DEC_TRESHOLD_MED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::DEC_TRESHOLD_MED = -12</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="a9a59a6f6df9832e74753cd2b30f3d4bf" name="a9a59a6f6df9832e74753cd2b30f3d4bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a59a6f6df9832e74753cd2b30f3d4bf">&#9670;&#160;</a></span>INC_TRESHOLD_HIGH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::INC_TRESHOLD_HIGH = 6</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00008">8</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="a8a11b200cd947702f56246ea10ae174e" name="a8a11b200cd947702f56246ea10ae174e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a11b200cd947702f56246ea10ae174e">&#9670;&#160;</a></span>INC_TRESHOLD_LOW</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::INC_TRESHOLD_LOW = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<a id="a4500083056be96e972c0199f41944a5e" name="a4500083056be96e972c0199f41944a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4500083056be96e972c0199f41944a5e">&#9670;&#160;</a></span>INC_TRESHOLD_MED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected const <a class="el" href="../../d4/dc3/classfloat.html">float</a> BloodNotfr::INC_TRESHOLD_MED = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html#l00007">7</a> of file <a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/PlayerNotifiers/Notifiers/<a class="el" href="../../d2/de9/_blood_notfr_8c_source.html">BloodNotfr.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d3f/class_blood_notfr.html">BloodNotfr</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
